diff -Naur mobiperl-0.0.43/html2mobi mobiperl-0.0.43.patched/html2mobi
--- mobiperl-0.0.43/html2mobi	2009-07-18 17:52:02.000000000 -0400
+++ mobiperl-0.0.43.patched/html2mobi	2017-04-10 01:51:43.440363698 -0400
@@ -24,7 +24,7 @@
 use MobiPerl::LinksInfo;
 
 use HTML::TreeBuilder;
-use Getopt::Mixed;
+use Getopt::Long;
 
 use strict;
 
@@ -34,12 +34,12 @@
 	     $opt_imagerescale $opt_removejavascript $opt_scaleallimages
 	     $opt_imagemaxbytes);
 
-Getopt::Mixed::getOptions ("title=s author=s htmlfile=s mobifile=s gentoc
+Getopt::Long::GetOptions (qw/title=s author=s htmlfile=s mobifile=s gentoc
                             coverimage=s addthumbnail=s noimages addcoverlink
                             prefixtitle=s fixhtml fixhtmlbr keepbr
                             removejavascript
                             scaleallimages=s
-                            imagerescale=s imagemaxbytes=s");
+                            imagerescale=s imagemaxbytes=s/);
 
 #
 # expand html document with links...
diff -Naur mobiperl-0.0.43/lit2mobi mobiperl-0.0.43.patched/lit2mobi
--- mobiperl-0.0.43/lit2mobi	2009-07-18 17:52:02.000000000 -0400
+++ mobiperl-0.0.43.patched/lit2mobi	2017-04-10 01:51:53.602363787 -0400
@@ -27,7 +27,7 @@
 use MobiPerl::Config;
 use MobiPerl::LinksInfo;
 
-use Getopt::Mixed;
+use Getopt::Long;
 use File::Copy;
 
 use vars qw ($opt_title $opt_author $opt_htmlfile $opt_mobifile
@@ -35,10 +35,10 @@
 	     $opt_tocfirst $opt_addcoverlink
 	     $opt_prefixtitle $opt_fixhtml $opt_fixhtmlbr $opt_imagerescale);
 
-Getopt::Mixed::getOptions ("title=s author=s htmlfile=s mobifile=s
+Getopt::Long::GetOptions (qw/title=s author=s htmlfile=s mobifile=s
                             coverimage=s addthumbnail=s 
                             noimages tocfirst addcoverlink
-                            prefixtitle=s fixhtml fixhtmlbr imagerescale=s");
+                            prefixtitle=s fixhtml fixhtmlbr imagerescale=s/);
 
 
 
diff -Naur mobiperl-0.0.43/mobi2html mobiperl-0.0.43.patched/mobi2html
--- mobiperl-0.0.43/mobi2html	2009-07-18 17:52:02.000000000 -0400
+++ mobiperl-0.0.43.patched/mobi2html	2017-04-10 01:52:02.969363870 -0400
@@ -28,9 +28,8 @@
 use Palm::PDB;
 use Palm::Doc;
 use Image::Size;
-use Date::Parse;
-use Date::Format;
-use Getopt::Mixed;
+use POSIX q/ctime/;
+use Getopt::Long;
 
 use MobiPerl::EXTH;
 
@@ -38,7 +37,7 @@
 
 use vars qw ($opt_rawhtml $opt_record0 $opt_saveallrecords $opt_mobihtml);
 
-Getopt::Mixed::getOptions ("rawhtml record0 saveallrecords mobihtml");
+Getopt::Long::GetOptions (qw/rawhtml record0 saveallrecords mobihtml/);
 
 my $globalcodepage = 0;
 my $fullpathfilename = shift;
diff -Naur mobiperl-0.0.43/mobi2mobi mobiperl-0.0.43.patched/mobi2mobi
--- mobiperl-0.0.43/mobi2mobi	2009-07-18 17:52:02.000000000 -0400
+++ mobiperl-0.0.43.patched/mobi2mobi	2017-04-10 01:52:15.693363982 -0400
@@ -36,8 +36,8 @@
 
 use Palm::PDB;
 use Palm::Doc;
-use Date::Format;  # for ctime call
-use Getopt::Mixed;
+use POSIX q/ctime/;
+use Getopt::Long;
 use Image::Size;   # Used to recognize the first record that is an image
 
 #
@@ -67,7 +67,7 @@
 	     $opt_imagerescale
 	     $opt_allowtts $opt_deleteclippinglimit $opt_imagemaxbytes);
 
-Getopt::Mixed::getOptions ("outfile=s title=s updatedtitle=s 
+Getopt::Long::GetOptions (qw/outfile=s title=s updatedtitle=s 
                             prefixtitle=s author=s addauthor=s
                             description=s language=s subject=s
                             publisher=s databasename=s patch fiximagesizes
@@ -78,7 +78,7 @@
                             mbpfile=s savecover=s savethumb=s imagerescale=s
                             allowtts deleteclippinglimit
                             imagemaxbytes=s
-                            ");
+                            /);
 
 if (not defined $opt_outfile) {
     if (defined $opt_title or defined $opt_updatedtitle or
diff -Naur mobiperl-0.0.43/mobils mobiperl-0.0.43.patched/mobils
--- mobiperl-0.0.43/mobils	2009-07-18 17:52:02.000000000 -0400
+++ mobiperl-0.0.43.patched/mobils	2017-04-10 01:43:39.062359426 -0400
@@ -23,8 +23,8 @@
 
 use Palm::PDB;
 use Palm::Doc;
-use Date::Format;  # for ctime call
-use Getopt::Mixed;
+use POSIX q/ctime/;
+use Getopt::Long;
 
 use MobiPerl::MobiHeader; # The MobiHeader package file is in the distribution
 use MobiPerl::Util;
@@ -33,7 +33,7 @@
 
 use vars qw ($opt_R);
 
-Getopt::Mixed::getOptions ("R");
+Getopt::Long::GetOptions ("R");
 
 my $author = "";
 my $publisher = "";
diff -Naur mobiperl-0.0.43/opf2mobi mobiperl-0.0.43.patched/opf2mobi
--- mobiperl-0.0.43/opf2mobi	2009-07-18 17:52:02.000000000 -0400
+++ mobiperl-0.0.43.patched/opf2mobi	2017-04-10 01:52:30.947364117 -0400
@@ -27,7 +27,7 @@
 use MobiPerl::Config;
 use MobiPerl::LinksInfo;
 
-use Getopt::Mixed;
+use Getopt::Long;
 use File::Copy;
 use File::Spec;
 
@@ -39,9 +39,9 @@
 	     $opt_tocfirst $opt_addcoverlink
 	     $opt_prefixtitle $opt_imagerescale $opt_imagemaxbytes);
 
-Getopt::Mixed::getOptions ("title=s author=s htmlfile=s mobifile=s
+Getopt::Long::GetOptions (qw/title=s author=s htmlfile=s mobifile=s
                             coverimage=s noimages tocfirst addcoverlink
-                            prefixtitle=s imagerescale=s imagemaxbytes=s");
+                            prefixtitle=s imagerescale=s imagemaxbytes=s/);
 
 
 
